JNA API 3.3.0

## com.sun.jna.platform.unix
Class X11.XButtonPressedEvent

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XButtonEvent
              com.sun.jna.platform.unix.X11.XButtonPressedEvent

Enclosing interface:
  X11

    public static class X11.XButtonPressedEvent

extends X11.XButtonEvent

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary

Fields inherited from class com.sun.jna.platform.unix.X11.XButtonEvent
`button, display, root, same_screen, send_event, serial, state, subwindow, time, type, window, x, x_root, y, y_root`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XButtonPressedEvent()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### X11.XButtonPressedEvent

    public X11.XButtonPressedEvent()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.